Package org.drinkless.tdlib

# Class TdApi.AvailableReaction

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.AvailableReaction

Enclosing class:
  `TdApi`

public static class TdApi.AvailableReaction extends TdApi.Object
Represents an available reaction.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `needsPremium`
  True, if Telegram Premium is needed to send the reaction.
  `TdApi.ReactionType`
  `type`
  Type of the reaction.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AvailableReaction()`
  Represents an available reaction.
  `AvailableReaction(TdApi.ReactionType type, boolean needsPremium)`
  Represents an available reaction.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### type

    public TdApi.ReactionType type
    Type of the reaction.

  - ### needsPremium

    public boolean needsPremium
    True, if Telegram Premium is needed to send the reaction.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AvailableReaction

    public AvailableReaction()
    Represents an available reaction.

  - ### AvailableReaction

    public AvailableReaction(TdApi.ReactionType type, boolean needsPremium)
    Represents an available reaction.
    Parameters:
      `type` - Type of the reaction.
      `needsPremium` - True, if Telegram Premium is needed to send the reaction.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR